Subject: bug#17724: 24.4.50; regression: error "`recenter'ing a window that does not display current-buffer." when opening org-mode file

From: Gregor Zattler <[email-masked]>
Date: Thu, 19 Jun 2014 21:08:10 +0200

Hi Nicolas,
* Nicolas Richard <[email-masked]> [19. Jun. 2014]:
> Gregor Zattler <[email-masked]> writes:
>> like so:
>> $ cd ~/src/emacs/; rm -rf * ; git co -f emacs-24
>> Checking out files: 100% (3525/3525), done.
>> Previous HEAD position was 0f0917d... Regenerate AUTHORS and ldefs-boot.el
>> Switched to branch 'emacs-24'
> 
> (Here I am assuming emacs-24 is still checked out.) 
> 
> Could you issue "git describe --tags" and "git branch -a --contains
> HEAD" ? I suspect your local emacs-24 branch isn't the actual emacs-24
> branch.
> (OTOH 0f0917d *does* belong to emacs-24, so there's still something
> weird.)

$ cd ~/src/emacs/; rm -rf * ; git co -f emacs-24
Checking out files: 100% (3498/3498), done.
Switched to branch 'emacs-24'
$ git describe --tags
emacs-24.3.91-602-ga92eaac
s$ git branch -a --contains HEAD
* emacs-24
master
remotes/origin/HEAD -> origin/master
remotes/origin/master
remotes/origin/trunk

Hmhm.  I have no clue what this signifies.  Perhaps it should
show remotes/origin/master -> origin/master?

>> cd .git ; cat config
>> $ cat config 
>> [core]
>> repositoryformatversion = 0
>> filemode = true
>> bare = false
>> logallrefupdates = true
>> [remote "origin"]
>> url = git://git.savannah.gnu.org/emacs.git
>> fetch = +refs/heads/*:refs/remotes/origin/*
>> [branch "master"]
>> remote = origin
>> merge = refs/heads/master
> 
> Shouldn't there be an entry for emacs-24 here ?

I have no clue, but I was suspicious, thats why I pasted this
into my mail.

Thanks for your help.  But if this is only a problem for me, it's
probably easier to wait till emacs officially switches to git and
then clone that repository.

Ciao; Gregor